For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
  • REST Platform Management
      • GETlist MS Teams tenants
      • POSTprovision a customer tenant for MS Teams
      • GETretrieve an MS Teams tenant
      • PUTupdate an MS Teams tenant
      • DELdelete an MS Teams tenant
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
REST Platform ManagementSettings

provision a customer tenant for MS Teams

POST
https://api.jambonz.cloud/v1/MicrosoftTeamsTenants
POST
/v1/MicrosoftTeamsTenants
$curl -X POST https://api.jambonz.cloud/v1/MicrosoftTeamsTenants \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "service_provider_sid": "85f9c036-ba61-4f28-b2f5-617c23fa68ff",
> "tenant_fqdn": "customer.contoso.com"
>}'
1{
2 "sid": "9d26a637-1679-471f-8da8-7150266e1254"
3}
Was this page helpful?
Previous

retrieve an MS Teams tenant

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
service_provider_sidstringRequiredformat: "uuid"
tenant_fqdnstringRequired
account_sidstringOptionalformat: "uuid"
application_sidstringOptionalformat: "uuid"

Response

tenant successfully created
sidstring

Errors

400
Bad Request Error
500
Internal Server Error